ClientEvents.lang('en_us', event => {
    event.add('kubejs.tooltip.disabled', 'Disabled');
    event.add('kubejs.tooltip.variant', 'Disabled as Item. Drop to revert to base version.');

    event.add('item.kubejs.trail_book', 'Trail Book');
    event.add('item.kubejs.trail_book.tooltip', 'Record of Trails');
    event.add('item.kubejs.heart_of_the_atlantis', 'Heart of the Atlantis');
    event.add('item.kubejs.heart_of_the_atlantis.tooltip', 'Sunken Mythology');
    event.add('item.kubejs.storm_star', 'Storm Star');
    event.add('item.kubejs.storm_star.tooltip', 'All Delete');
    event.add('item.kubejs.last_breath', 'Last Breath');
    event.add('item.kubejs.last_breath.tooltip', 'Into the Void');
    event.add('item.kubejs.fruit_of_otherside', 'Fruit of Otherside');
    event.add('item.kubejs.fruit_of_otherside.tooltip', 'Another Dimension');
    event.add('item.kubejs.heart_of_the_dream', 'Heart of the Dream');
    event.add('item.kubejs.heart_of_the_dream.tooltip', 'Violet Moon');
    event.add('item.kubejs.world_mirror', 'World Mirror');
    event.add('item.kubejs.world_mirror.tooltip', 'The Observer');

    event.add('advancements.kubejs.endgame.root.title', 'The Creator');
    event.add('advancements.kubejs.endgame.root.description', 'Congratulations! Thanks for Playing!');

    let info = (name, text) => {
        event.add(`jei.kubejs.information.${name}`, text);
    };
    info('runner', 'When moving on a path, bricks or tiles, you go faster.');
    info('atlas', 'Craft by combining a Filled Map, a Book, and a sticky item (Slimeball or Honey Bottle). Add more maps (empty or filled) through the Cartography Table. Empty maps are consumed automatically. Waypoints can be added with Banners, and a full map can be seen via right click.');
    info('boat', 'Ice road is disabled. Horse can sail on.');
    info('hammer', 'Using the Hammer on a block already placed in the world will change the block to whatever shape you have selected via the Variant Selector ([R] key, rebindable), if aplicable.');
    info('horse', 'Horses now always pass on their traits positively to offspring, and will never have children with worse parameters, give breeding a try sometime!');
    info('iron_ingot', 'Iron Golems no longer drop Iron Ingots, try Toretoises instead.');
    info('trade', 'Villagers now randomly reroll their trades after they are used rather than when their profession changes. You cannot get discounts by curing.');
    info('nerf', 'Smelting XP has been updated to 0.1.');
    info('brick', 'Can be used to duplicate sherds.');
    info('ravager', 'Drop from ravager instead of evoker.');
    info('warden', 'Drop from warden. You cannot find from chests.');
});

ClientEvents.lang('ja_jp', event => {
    event.add('kubejs.tooltip.disabled', '無効');
    event.add('kubejs.tooltip.variant', '無効。ドロップして元のブロックに戻してください');

    event.add('item.kubejs.trail_book', '旅路の本');
    event.add('item.kubejs.trail_book.tooltip', '旅路の記録');
    event.add('item.kubejs.heart_of_the_atlantis', 'アトランティスの心');
    event.add('item.kubejs.heart_of_the_atlantis.tooltip', '沈没した神話');
    event.add('item.kubejs.storm_star', 'ストームスター');
    event.add('item.kubejs.storm_star.tooltip', 'すべてを消し去る');
    event.add('item.kubejs.last_breath', 'ラストブレス');
    event.add('item.kubejs.last_breath.tooltip', '虚空に消える');
    event.add('item.kubejs.fruit_of_otherside', 'アザーフルーツ');
    event.add('item.kubejs.fruit_of_otherside.tooltip', '別次元');
    event.add('item.kubejs.heart_of_the_dream', '夢の心');
    event.add('item.kubejs.heart_of_the_dream.tooltip', 'ヴァイオレット・ムーン');
    event.add('item.kubejs.world_mirror', '世界の映し鏡');
    event.add('item.kubejs.world_mirror.tooltip', '観測者');

    event.add('advancements.kubejs.endgame.root.title', '創造者');
    event.add('advancements.kubejs.endgame.root.description', 'クリアおめでとうございます！プレイしてくれてありがとう！');

    let info = (name, text) => {
        event.add(`jei.kubejs.information.${name}`, text);
    };
    info('runner', '道やレンガ、タイルの上では移動速度が上昇します。');
    info('atlas', '地図と本、粘着性のあるアイテム（スライムボールやハチミツ入りの瓶）を組み合わせてクラフトします。製図台で地図を追加でき、白紙の地図は自動で消費されます。旗や焚き火などで印をつけることができ、右クリックで地図全体を表示します。');
    info('boat', '氷による加速はできません。ウマは乗ることができます。');
    info('hammer', '設置されたブロックを種類セレクタ(デフォルトでは[R]キー)で設定した形に変更します。');
    info('horse', 'ウマの性能は必ず子どもに受け継がれ、弱体化することはありません。');
    info('iron_ingot', 'アイアンゴーレムは鉄インゴットをドロップしません。代わりにオアトイズから採取しましょう。');
    info('trade', '村人はランダムに取引を変更するようになり、職業ブロック破壊での変更はしません。治療をしても割引はしてくれません。');
    info('nerf', '製煉による経験値が0.1に下方修正されました。');
    info('brick', '壺の欠片の複製に使います。');
    info('ravager', 'エヴォーカーの代わりにラヴェジャーからドロップします。');
    info('warden', 'ウォーデンからドロップします。チェストからは手に入りません。');
});